.scrollTopBtn {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  z-index: 50;
  padding: 0.75rem 0.75rem 0.45rem 0.75rem;
  border-radius: 9999px;
  background-color: var(--cor-azul-claro);
  color: #444444;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  opacity: 0;
  pointer-events: none;
  transform: translateY(20px);
  transition: all 0.4s ease-in-out;
}

.scrollTopBtn.show {
  opacity: 1;
  pointer-events: auto;
  transform: translateY(0);
  animation: slideUpFadeIn 0.4s ease-in-out;
}

@keyframes slideUpFadeIn {
  from {
    opacity: 0;
    transform: translateY(30px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}